Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4
Interface ColumnsetStatistics

All Superinterfaces:
  M4Object

All Known Implementing Classes:
  ColumnsetStatistics

    public interface ColumnsetStatistics

extends M4Object

Version:
  $Id: ColumnsetStatistics.java,v 1.4 2006/09/27 14:59:58 euler Exp $
Author:
  Timm Euler

Method Summary
`java.lang.Long` | `getNrOfAllTuples()`
`java.lang.Integer` | `getNrOfNomAttribs()`
`java.lang.Integer` | `getNrOfOrdAttribs()`
`java.lang.Integer` | `getNrOfTimeAttribs()`
`Columnset` | `getTheColumnset()`
`void` | `setNrOfAllTuples(java.lang.Long nrOfRows)`
`void` | `setNrOfNomAttribs(java.lang.Integer nrOfNominalAttributes)`
`void` | `setNrOfOrdAttribs(java.lang.Integer nrOfOrdinalAttributes)`
`void` | `setNrOfTimeAttribs(java.lang.Integer nrOfTimeAttributes)`
`void` | `setTheColumnset(Columnset columnSet)`

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Object
`doPrint, doPrint, equals, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getCasePrintObject, getId, getM4Db, getM4ObjectFromCache, getName, getNextM4SequenceValue, isNew, load, print, putM4ObjectToCache, replaceSpacesInName, setId, setName, setNotNew`

Method Detail

### getTheColumnset

    Columnset getTheColumnset()

### setTheColumnset

    void setTheColumnset(Columnset columnSet)
                         throws M4Exception

  Throws:
    `M4Exception`

### getNrOfAllTuples

    java.lang.Long getNrOfAllTuples()

### setNrOfAllTuples

    void setNrOfAllTuples(java.lang.Long nrOfRows)

### getNrOfOrdAttribs

    java.lang.Integer getNrOfOrdAttribs()

### setNrOfOrdAttribs

    void setNrOfOrdAttribs(java.lang.Integer nrOfOrdinalAttributes)

### getNrOfNomAttribs

    java.lang.Integer getNrOfNomAttribs()

### setNrOfNomAttribs

    void setNrOfNomAttribs(java.lang.Integer nrOfNominalAttributes)

### getNrOfTimeAttribs

    java.lang.Integer getNrOfTimeAttribs()

### setNrOfTimeAttribs

    void setNrOfTimeAttribs(java.lang.Integer nrOfTimeAttributes)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005